'Newland.NeosNodeTypes:Grid':
  superTypes:
    'Newland.NeosNodeTypes:GridMixIn': false
    'Newland.NeosNodeTypes:LinkMixin': false

  ui:
    label: Grid
    icon: th
    inspector:
      groups:
        grid:
          label: Grid
          icon: th
    position: 3
  properties:
    title:
      type: string
      defaultValue: 'Grid'
      ui:
        label: Titel
        inspector:
          group: 'grid'
    distribution: ~

  childNodes:
    gridItems:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          '*': false
          'Newland.NeosNodeTypes:PageReferenceGridItem': true
          'Newland.CityTheme:GridTeaser': true
          'Newland.CityTheme:TextTeaser': true
          'Newland.CityTheme:PoiGridTeaser': true
          'Newland.CityTheme:Webcam': true
